#include "GameState.h"
#include "Crawler.h"
#include "Menu.h"

void State_MainMenu::OnStateChange(GameState*prevState){
	Menu::OpenMenu(MenuType::TEST);
};
void State_MainMenu::OnUserUpdate(Crawler*game){
	
	if(game->GetKey(T).bPressed){
		GameState::ChangeState(States::GAME_RUN);
	}
};
void State_MainMenu::Draw(Crawler*game){
	game->DrawShadowStringDecal({0,0},"This will eventually be\nMain Menu stuff",BLACK,WHITE,{1,1},1);
};